Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 22 Nov 2014, 05:16
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Lighthouse 64 602 Beta2 with GIMP-2.8.4 (6-29-2013)
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 37 of 40 Posts_count   Goto page: Previous 1, 2, 3, ..., 35, 36, 37, 38, 39, 40 Next
Author Message
Deacon


Joined: 19 Mar 2013
Posts: 65

PostPosted: Thu 14 Aug 2014, 02:31    Post_subject: Re: LH64 makes booting any PC on your LAN, simple  

gcmartin wrote:
Hello @Deacon

If you are running Mariner on one of your PC, then you can boot Mariner and any other PUP distro over the LAN to your 64bit netbook. Its really too simple!

Nothing to install! Nothing much to do except
  1. open the Menu.
  2. Click Menu>Network>Netboot-server
  3. Navigate to an ISO file you want to boot
  4. When it completes, Go to any LAN attached PC and tell it to boot from the LAN adapter
  5. Watch it boot the ISO you selected
The author made this all-too-simple to do for any LH64 user to do for any PC on their home LAN network. It is just too easy to be productive.

No DVD! no USB! no HDD! Nothing to tailor! Nothing to do! Just boot your LAN PC. Anyone can do it.

Here to help


Wow. That does sound simple!

Watch me screw this up though... I'll be back Wink (of course if it works I'll be back anyway to say thanks)

EDIT: Ok I'm back. Just went to network on 6.02. There's no netboot server option! There is an "x11vnc-server" though

EDIT #2: Oops! Seems the menus are different when you change WM's! Found it. Now to wait for the computer!
Back to top
View user's profile Send_private_message 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Sat 16 Aug 2014, 09:06    Post_subject:
Sub_title: Enigmail & GnuPG
 

Is there a right or wrong way to solve this in LH64 or is it a no-go, please?

Quote:
Enigmail: Unable to locate GnuPG executable in the PATH.
Make sure you have set the GnuPG executable path correctly in the OpenPGP Preferences.

To permanently avoid this alert, either fix the problem or uninstall


This error pops up & requires a mouse click for every email message read.

EDIT: I just used PPM to install GnuPG 2 with no notice of errors or missing libraries but still the same error. I cannot fine gnupg via OpenPGP Preferences in Extensions and when I search my files I'm not which gnupg file I am looking for.

Help, please?

Thanks - David

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
Meshworks


Joined: 25 Oct 2011
Posts: 38

PostPosted: Sat 16 Aug 2014, 12:59    Post_subject: Locate an executable
Sub_title: Howto locate a missing 'bit' !
 

Hi Edoc -
Quote:
Enigmail: Unable to locate GnuPG executable in the PATH.

I dont know that mail package, but you could try:
Quote:
whereis GnuPG

or
Quote:
type GnuPG
Back to top
View user's profile Send_private_message 
jamesbond

Joined: 26 Feb 2007
Posts: 2230
Location: The Blue Marble

PostPosted: Sat 16 Aug 2014, 13:15    Post_subject:
Sub_title: Enigmail & GnuPG
 

edoc wrote:
Enigmail: Unable to locate GnuPG executable in the PATH.
Make sure you have set the GnuPG executable path correctly in the OpenPGP Preferences.

Have EnigMail ever worked for you? If not - that's because you don't have the gnupg. Try installing gnupg version 1.4. I think gnupg 2.x won't cut it. The name program you should look is "gpg".

_________________
Fatdog64, Slacko and Puppeee user. Puppy user since 2.13.
Contributed Fatdog64 packages thread
Back to top
View user's profile Send_private_message 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Sat 16 Aug 2014, 13:17    Post_subject: Re: Locate an executable
Sub_title: Howto locate a missing 'bit' !
 

Meshworks wrote:
Hi Edoc -
Quote:
Enigmail: Unable to locate GnuPG executable in the PATH.

I dont know that mail package, but you could try:
Quote:
whereis GnuPG

or
Quote:
type GnuPG


Quote:
bash-4.1# whereis GnuPG
GnuPG:
<root> ~
bash-4.1# GnuPG
sh: GnuPG: command not found
<root> ~
bash-4.1#

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Sat 16 Aug 2014, 13:39    Post_subject:
Sub_title: Enigmail & GnuPG
 

jamesbond wrote:
edoc wrote:
Enigmail: Unable to locate GnuPG executable in the PATH.
Make sure you have set the GnuPG executable path correctly in the OpenPGP Preferences.

Have EnigMail ever worked for you? If not - that's because you don't have the gnupg. Try installing gnupg version 1.4. I think gnupg 2.x won't cut it. The name program you should look is "gpg".


Uninstalled EnigMail & GnuPG 2 & installed GnuPG 1.4 then installed EnigMail & no more errors.

It's just an experiment as I don't really have a reason for it.

I now need to create a Key so I may test it.

Thanks!

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Sat 16 Aug 2014, 13:51    Post_subject:  

Seems that I spoke too soon ... Embarassed

Instructions say to create a Key I should click on the OpenPGP tab - which there is not one in my Seamonkey install - nor can I find it in any of the drop-down menus.

Nothing is found for openpgp, openpg, OpenPGP, or OpenPG when I do a File search or a whereis search via Console.

I did get the following result re. gnupg:

Quote:
bash-4.1# whereis gnupg
gnupg: /usr/libexec/gnupg /usr/share/gnupg /usr/man/man7/gnupg.7.gz /usr/share/man/man7/gnupg.7.gz


What should I try next, please?

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
jamesbond

Joined: 26 Feb 2007
Posts: 2230
Location: The Blue Marble

PostPosted: Sat 16 Aug 2014, 14:01    Post_subject:  

edoc wrote:
Seems that I spoke too soon ... Embarassed

Instructions say to create a Key I should click on the OpenPGP tab - which there is not one in my Seamonkey install - nor can I find it in any of the drop-down menus.

You should find 'EnigMail' menu in your Seamonkey Mail. The 'OpenPGP' tab is for older version of EnigMail. From there, open 'Key Management.'

_________________
Fatdog64, Slacko and Puppeee user. Puppy user since 2.13.
Contributed Fatdog64 packages thread
Back to top
View user's profile Send_private_message 
edoc


Joined: 07 Aug 2005
Posts: 4384
Location: Southeast Georgia, USA

PostPosted: Sat 16 Aug 2014, 15:16    Post_subject:  

jamesbond wrote:
edoc wrote:
Seems that I spoke too soon ... Embarassed

Instructions say to create a Key I should click on the OpenPGP tab - which there is not one in my Seamonkey install - nor can I find it in any of the drop-down menus.

You should find 'EnigMail' menu in your Seamonkey Mail. The 'OpenPGP' tab is for older version of EnigMail. From there, open 'Key Management.'


Dumb pill here - I was looking in the browser Embarassed

OpenPGP is in Seamoney - perhaps because I am using v 1.4 vs 2?

I'll try not to mess things up further from here ... Rolling Eyes

Thanks - David

_________________
Thanks! David
Home page: http://nevils-station.com
Don't google Search! http://duckduckgo.com
Puppy upup Raring 3992 & Lighthouse64-b602
Back to top
View user's profile Send_private_message Visit_website 
Meshworks


Joined: 25 Oct 2011
Posts: 38

PostPosted: Sun 17 Aug 2014, 15:11    Post_subject: Multilib on LHP
Sub_title: 32 Bit Wine on LHP 602? Gimmeh!!!!
 

Hi all u LHP users out there!

It's been a while since I checked these forums.
What happened to Taz?

So .. new laptop ... ATI Graphics onboard ...

I've had a pop at integrating the Slackware 14.0 32bit compat / multilib packages as outlined here:
http://docs.slackware.com/slackware:multilib

Code:

# SLACKVER=14.0
# mkdir multilib
# cd multilib
# lftp -c "open http://taper.alienbase.nl/mirrors/people/alien/multilib/ ; mirror -c -e ${SLACKVER}"
# cd ${SLACKVER}

Upgrade your 64bit Slackware ”gcc” and ”glibc” packages to my multilib versions.
Run the command

# upgradepkg --reinstall --install-new *.t?z


upgradepkg runs for a while but breaks LHP 602 around the time it starts to upgrade the compiler, resulting in an unusable system.

I want 32 bit WINE to run.
This requires the installation of 32bit compat and 32 bit graphics drivers from ATI (which of course I cant compile properly in LHP 602).

Has anyone worked out a process to get this working?

Spec:
AMD 2x A4
4GB Ram
AMD Radeon HD 8180
LHP 602 Mariner
Back to top
View user's profile Send_private_message 
gcmartin

Joined: 14 Oct 2005
Posts: 4436
Location: Earth

PostPosted: Sun 17 Aug 2014, 18:34    Post_subject:  

Hello @Meshworks, I am NOT a Wine user, so my question bears a great bit of ignorance. But, doesn't Mariner have all this worked out as it has WINE built-in "so to speak". This, of course, does NOT address you question, but, was wondering.

TaZ has had a bit of bout with an illness which appears to have taken him from the forum. Several other forum members attempt to provide assistance.

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send_private_message 
Meshworks


Joined: 25 Oct 2011
Posts: 38

PostPosted: Sun 17 Aug 2014, 19:50    Post_subject:  

The problem is as follows...

On LHP515F and LHP602, on installing the ATI Proprietory driver, there seems to be no installation of the 32bit OpenGL. As a result certain 32bit apps won't run in Wine (which means no World of Warcraft)!

I'm also running LHP515F on an NVIDIA based box. This compiles the 32bit extensions to the proprietory Nvidia drivers, and therefore runs Wine / Wow perfectly.

The error running WoW under the ATI driver is as follows:

Code:

wine Wow.exe -opengl &
...
err:wgl:has_opengl Failed to load libGL: libGL.so.1: wrong ELF class: ELFCLASS64
err:wgl:has_opengl OpenGL support is disabled.
Direct3D9 is not available without OpenGL.


The 64bit side of the driver has installed correctly and allows hardware/direct rendering.

So .. 2 Questions....
1) LHP 515F... How do I get the ATI drivers to compile the 32bit libs under 515F?
2) LHP 602 ... Must I install 32bit compat (alien bobs compat32) from slackwhere/elsewhere?

How do I get my precious 32bit win apps working under 602?
I remember being told that there is no 32bit compat included in LHP602.

Command used to install driver:
Code:

./amd-catalyst-13.12-linux-x86.x86_64.run

I'm going to try the R14 drivers tonight.
Ed. amd-driver-installer-14.10.1006.1001-x86.x86_64.run <<< also leaves me without the 32 bit stuff in 515F.
Ed. 602 is better at detecting my hardware, boots from USB & loads its sfs files from a linux partition. 515 insists on sfs files being on the usb boot key.

Sorry to hear Taz is away. I'm sure he's badly missed.

Machine: Asus X102BA.214 netbook
Graphics Card:
AMD Radeon HD 8180
- Display Details from LHP 515F -
Resolution : 2968x1200 pixels
Vendor : The X.Org Foundation
Version : 1.9.5
-Monitors-
Monitor 0 : 1366x768 pixels
Monitor 1 : 1600x1200 pixels
-Extensions-
AMDXVBA
AMDXVOPL
ATIFGLEXTENSION
ATIFGLRXDRI
BIG-REQUESTS
Composite
DAMAGE
DOUBLE-BUFFER
DPMS
DRI2
GLX
Generic Event Extension
MIT-SCREEN-SAVER
MIT-SHM
RANDR
RECORD
RENDER
SGI-GLX
SHAPE
SYNC
X-Resource
XC-MISC
XFIXES
XFree86-DGA
XFree86-VidModeExtension
XINERAMA
XINERAMA
XInputExtension
XKEYBOARD
XTEST
XVideo
XVideo-MotionCompensation
glesx
-OpenGL-
Vendor : Advanced Micro Devices, Inc.
Renderer : AMD Radeon HD 8180
Version : 4.4.12874 Compatibility Profile Context 14.10.1006.1001
Direct Rendering : Yes
Back to top
View user's profile Send_private_message 
Deacon


Joined: 19 Mar 2013
Posts: 65

PostPosted: Wed 20 Aug 2014, 13:22    Post_subject: A strange, noobish question or two  

Ok. New machine arrived! Lighthouse is installed perfectly! (I didn't use the LAN option, unfortunately, though I really wanted to. I ended up doing USB frugal.)

1. Been using Lighthouse for 6 months, and no matter how hard I try.... I can't get rid of GKrellM. I know, it's popular, and some days I like it. Most days, however, I end up right clicking and getting rid of it as a daily ritual. Very dumb. How can I get rid of it? It's not listed in the bootup programs. Is there an "off" switch for it so it will come on when I want?

2. Is there a way to shrink the storage file? I'm so used to using really big chunks of memory at the outset to improve performance, and now it's a 5GB save file, so while it works fine, it boots really slowly now.
Back to top
View user's profile Send_private_message 
Gobbi

Joined: 09 Mar 2012
Posts: 150

PostPosted: Thu 21 Aug 2014, 19:05    Post_subject: Re: A strange, noobish question or two  

Deacon wrote:


1. Been using Lighthouse for 6 months, and no matter how hard I try.... I can't get rid of GKrellM. I know, it's popular, and some days I like it. Most days, however, I end up right clicking and getting rid of it as a daily ritual. Very dumb. How can I get rid of it? It's not listed in the bootup programs. Is there an "off" switch for it so it will come on when I want?



Hi @Deacon

If you go in /root and rightclick on Startup icon , Look Inside and you can move the file that makes start GKrellM to the Disabled Items folder. A restartX from the PupShutdown and no more GKrellM . Very Happy


From what I know savefile size can be increased only , or you risk to corrupt it . And :Bigger savefile = = slower computer Exclamation
Back to top
View user's profile Send_private_message 
gcmartin

Joined: 14 Oct 2005
Posts: 4436
Location: Earth

PostPosted: Thu 21 Aug 2014, 19:38    Post_subject:  

Sounds like you may have a lot of data files of some sort in your save-session file. Did you initially allocate it at 5GB or have you been increasing it over time.

If you initially allocated it at that size, there are 2 ways; neither of which I have tried in LH.
  1. Remaster your running system to a new ISO. If done proper, you will have EVERYTHING that is in your running system in the new ISO. This should boot faster and you will be allowed to allocate a new save-session for future needs.

    @Shinobar offers RemasterX, @NIC007 offers a recent approach and StemSee also offers a recent approach. In fact all of these remaster approaches are recent.

  2. Open the save-session file and run a count on its size. Then manually create a new file with the beginning filename (...save-...) as the old and copy all files including hidden files from your active save-session to the new file.
Hope this helps

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 37 of 40 Posts_count   Goto page: Previous 1, 2, 3, ..., 35, 36, 37, 38, 39, 40 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1205s ][ Queries: 13 (0.0155s) ][ GZIP on ]